﻿namespace PristaniNaMesici
{
    using System.Globalization;

    public class Response
    {
        public string GameResult;
        public int ID;
        public double X, Y, VX, VY, P, L, R;

        public Response(string response, bool error = false)
        {
            if (response == "Krach!" || response == "Zdar!" || error)
                this.GameResult = response;
            else
            {
                var lines = response.Split('\n');

                this.ID = int.Parse(lines[0]);

                var xy = lines[1].Split(' ');
                this.X = double.Parse(xy[0], CultureInfo.InvariantCulture);
                this.Y = double.Parse(xy[1], CultureInfo.InvariantCulture);

                var vxvy = lines[2].Split(' ');
                this.VX = double.Parse(vxvy[0], CultureInfo.InvariantCulture);
                this.VY = double.Parse(vxvy[1], CultureInfo.InvariantCulture);

                this.P = double.Parse(lines[3], CultureInfo.InvariantCulture);

                var lr = lines[4].Split(' ');
                this.L = double.Parse(lr[0], CultureInfo.InvariantCulture);
                this.R = double.Parse(lr[1], CultureInfo.InvariantCulture);
            }
        }
    }
}
