﻿namespace PristaniNaMesici
{
    using System;
    using System.Globalization;

    public class Program
    {
        public static void Main(string[] args)
        {
            var address = "localhost:8000";
            var maxSpeed = 5d;
            if (args.Length > 0)
            {
                address = args[0];
                double.TryParse(args[1], NumberStyles.Any, CultureInfo.InvariantCulture, out maxSpeed);
            }
            var game = new Game(address);
            var gameSolver = new GameSolver(game, maxSpeed);
            Console.WriteLine(gameSolver.Solve());
            Console.ReadLine();
        }
    }
}
